SoMFVec4ui32(3)

NAME
SoMFVec4ui32 - The SoMFVec4ui32 class is a container for SbVec4ui32 vectors.

SYNOPSIS

#include <Inventor/fields/SoMFVec4ui32.h>

Inherits SoMField.

  Public Member Functions
virtual SoType getTypeId (void) const
virtual void copyFrom (const SoField &field)
const SoMFVec4ui32 & operator= (const SoMFVec4ui32 &field)
virtual SbBool isSame (const SoField &field) const
const SbVec4ui32 & operator[] (const int idx) const
const SbVec4ui32 * getValues (const int start) const
int find (const SbVec4ui32 &value, SbBool addifnotfound=FALSE)
void setValues (const int start, const int num, const SbVec4ui32 *newvals)
void set1Value (const int idx, const SbVec4ui32 &value)
void setValue (const SbVec4ui32 &value)
const SbVec4ui32 & operator= (const SbVec4ui32 &val)
SbBool operator== (const SoMFVec4ui32 &field) const
SbBool operator!= (const SoMFVec4ui32 &field) const
SbVec4ui32 * startEditing (void)
void finishEditing (void)
void setValuesPointer (const int num, const SbVec4ui32 *userdata)
void setValuesPointer (const int num, SbVec4ui32 *userdata)
void setValuesPointer (const int num, const uint32_t *userdata)
void setValuesPointer (const int num, uint32_t *userdata)
void setValues (int start, int num, const uint32_t xyzw[][4])
void set1Value (int idx, uint32_t x, uint32_t y, uint32_t z, uint32_t w)
void set1Value (int idx, const uint32_t xyzw[4])
void setValue (uint32_t x, uint32_t y, uint32_t z, uint32_t w)
void setValue (const uint32_t xyzw[4])

  Static Public Member Functions
static void * createInstance (void)
static SoType getClassTypeId (void)
static void initClass (void)

  Protected Member Functions
virtual void deleteAllValues (void)
virtual void copyValue (int to, int from)
virtual int fieldSizeof (void) const
virtual void * valuesPtr (void)
virtual void setValuesPtr (void *ptr)
virtual void allocValues (int num)

  Protected Attributes
SbVec4ui32 * values

  Additional Inherited Members

Detailed Description

The SoMFVec4ui32 class is a container for SbVec4ui32 vectors. This field is used where nodes, engines or other field containers need to store an array of vectors with four elements.

This field supports application data sharing through a setValuesPointer() method. See SoMField documentation for information on how to use this function.

See also
    SbVec4ui32, SoSFVec4ui32 Be aware that this class is an extension for Coin, and it is not available in the original SGI Open Inventor v2.1 API.

Since
    Coin 2.5

Member Function Documentation

  void * SoMFVec4ui32::createInstance (void) [static]
This API member is considered internal to the library, as it is not likely to be of interest to the application programmer.
 Creates a new instance of the class type corresponding to the SoType object.

  SoType SoMFVec4ui32::getClassTypeId (void) [static]
This static method returns the SoType object associated with objects of this class.

  SoType SoMFVec4ui32::getTypeId (void) const [virtual]
Returns the type identification of an object derived from a class inheriting SoField. This is used for runtime type checking and 'downward' casting.

Implements SoField.

  void SoMFVec4ui32::copyFrom (const SoField & f) [virtual]
Copy value(s) from f into this field. f must be of the same type as this field.

Implements SoField.

  SbBool SoMFVec4ui32::isSame (const SoField & f) const [virtual]
Check for equal type and value(s).

Implements SoField.

  void SoMFVec4ui32::deleteAllValues (void) [protected], [virtual]
This API member is considered internal to the library, as it is not likely to be of interest to the application programmer.

Implements SoMField.

  void SoMFVec4ui32::copyValue (int to, int from) [protected], [virtual]
This method is used for moving values around internally within a multivalue field. It needs to be overridden in each field so it automatically takes care of running copy constructors where necessary.

Implements SoMField.

  const SbVec4ui32 * SoMFVec4ui32::getValues (const int start) const [inline]
Returns a pointer to the values array.

  void SoMFVec4ui32::initClass (void) [static]
Internal method called upon initialization of the library (from SoDB::init()) to set up the type system.

  void SoMFVec4ui32::setValues (int start, int numarg, const uint32_t xyzw[][4])
Set num vector array elements from xyzw, starting at index start.

  void SoMFVec4ui32::set1Value (int idx, uint32_t x, uint32_t y, uint32_t z, uint32_t w)
Set the vector at idx.

  void SoMFVec4ui32::set1Value (int idx, const uint32_t xyzw[4])
Set the vector at idx.

  void SoMFVec4ui32::setValue (uint32_t x, uint32_t y, uint32_t z, uint32_t w)
Set this field to contain a single vector with the given element values.

  void SoMFVec4ui32::setValue (const uint32_t xyzw[4])
Set this field to contain a single vector with the given element values.

Author

Generated automatically by Doxygen for Coin from the source code.